
CREATE TABLE `Artiste` (
  `Nom` varchar(20) NOT NULL,
  `Prenom` varchar(15) DEFAULT NULL,
  `Annee_naissance` int(11) DEFAULT NULL,
  PRIMARY KEY (`Nom`)
) ;

INSERT INTO `Artiste` (`Nom`, `Prenom`, `Annee_naissance`) VALUES
('Allen', 'Woody', 1938),
('Burton', 'Tim', 1958),
('Cage', 'Nicolas', 1954),
('Cameron', 'James', 1943),
('Cruise', 'Tom', 1960),
('Curtis', 'Michael', 1902),
('De Palma', 'Brian', 1953),
('Depp', 'Johnny', 1967),
('DiCaprio', 'Leonardo', 1973),
('Eastwood', 'Clint', 1932),
('Gillian', 'Terry', 1944),
('Hitchcock', 'Alfred', 1898),
('Hudson', 'Hugh', NULL),
('Hunt', 'Greg', 1950),
('Keitel', 'Harvey', 1940),
('Kubrick', 'Stanley', 1935),
('Kusturica', 'Emir', 1959),
('Lambert', 'Christophe', 1953),
('Lang', 'Fritz', 1899),
('Lynch', 'David', 1946),
('Novak', 'Kim', NULL),
('Ricci', 'Christina', 1974),
('Spielberg', 'Steven', 1943),
('Stewart', 'James', 1911),
('Tarantino', 'Quentin', 1948),
('Travolta', 'John', 1953),
('Truffaut', 'Francois', 1938),
('Willis', 'Bruce', 1952),
('Woo', 'John', 1951);

CREATE TABLE `Cinema` (
  `Nom_cinema` varchar(10) NOT NULL,
  `Arrondissement` int(11) DEFAULT NULL,
  `Adresse` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`Nom_cinema`)
);
INSERT INTO `Cinema` (`Nom_cinema`, `Arrondissement`, `Adresse`) VALUES
('Halles', 1, 'Forum des Halles'),
('Kino', 15, '3 Bd Raspail'),
('Nations', 12, '3 Rue de Reuilly'),
('Rex', 2, '22 Bd Poissoniere');

CREATE TABLE `Film` (
  `ID_film` int(11) NOT NULL DEFAULT '0',
  `Titre` varchar(30) DEFAULT NULL,
  `Annee` int(11) DEFAULT NULL,
  `Nom_Realisateur` varchar(20) DEFAULT NULL,
   PRIMARY KEY (`ID_film`)
);

INSERT INTO `Film` (`ID_film`, `Titre`, `Annee`, `Nom_Realisateur`) VALUES
('1', 'Reservoir Dogs', 1992, 'Tarantino'),
('3', 'Twin Peaks', 1990, 'Lynch'),
('5', 'Underground', 1995, 'Kusturica'),
('6', 'Psychose', 1960, 'Hitchcock'),
('7', 'Shining', 1980, 'Kubrick'),
('10', 'Annie Hall', 1977, 'Allen'),
('11', 'Jurassic Park', 1992, 'Spielberg'),
('32', 'Rencontres du 3eme type', 1978, 'Spielberg'),
('33', 'Piege de cristal', 1990, 'Hunt'),
('34', 'Une journee en enfer', 1994, 'Hunt'),
('35', '48 minutes pour vivre', 1992, 'Hunt'),
('38', 'Metropolis', 1926, 'Lang'),
('43', 'Manhattan', 1979, 'Allen'),
('45', 'Impitoyable', 1992, 'Eastwood'),
('57', 'Brazil', 1984, 'Gillian'),
('65', 'Vertigo', 1958, 'Hitchcock'),
('73', 'Pulp Fiction', 1995, 'Tarantino'),
('85', 'Greystocke', 1984, 'Hudson'),
('89', 'Le dernier metro', 1980, 'Truffaut'),
('90', 'Casablanca', 1942, 'Curtis'),
('101', 'Broken Arrow', 1996, 'Woo'),
('102', 'Volte-Face', 1997, 'Woo'),
('104', 'Titanic', 1998, 'Cameron'),
('135', 'Mission Impossible 2', 2000, 'Woo'),
('136', 'Mission Impossible', 1997, 'De Palma'),
('141', 'Sleepy Hollow', 1999, 'Burton'),
('142', 'Edward scissorhands', 1990, 'Burton');

CREATE TABLE `Role` (
  `Nom_Role` varchar(20) NOT NULL,
  `ID_film` int(11) NOT NULL DEFAULT '0',
  `Nom_acteur` varchar(20) NOT NULL,
  PRIMARY KEY (`ID_film`,`Nom_acteur`),
  FOREIGN KEY (`ID_film`) REFERENCES `Film` (`ID_film`),
  FOREIGN KEY (`Nom_acteur`) REFERENCES `Artiste` (`Nom`)
);


INSERT INTO `Role` (`Nom_Role`, `ID_film`, `Nom_acteur`) VALUES
('Mr White', '1', 'Keitel'),
('Mr Brown', '1', 'Tarantino'),
('Jonas', '10', 'Allen'),
('Bernard', '32', 'Truffaut'),
('McLane', '33', 'Willis'),
('McLane', '34', 'Willis'),
('McLane', '35', 'Willis'),
('Davis', '43', 'Allen'),
('Munny', '45', 'Eastwood'),
('Elster', '65', 'Novak'),
('Ferguson', '65', 'Stewart'),
('Wolf', '73', 'Keitel'),
('Vega', '73', 'Travolta'),
('Coolidge', '73', 'Willis'),
('Tarzan', '85', 'Lambert'),
('Deakins', '101', 'Travolta'),
('Troy', '102', 'Cage'),
('Archer', '102', 'Travolta'),
('Dowson', '104', 'DiCaprio'),
('Howard', '135', 'Cruise'),
('Howard', '136', 'Cruise'),
('Crane', '141', 'Depp'),
('Van Tassel', '141', 'Ricci'),
('Edward', '142', 'Depp');

CREATE TABLE `Salle` (
  `Nom_cinema` varchar(10) NOT NULL,
  `No_salle` int(11) NOT NULL DEFAULT '0',
  `Climatise` char(1) DEFAULT NULL,
  `Capacite` int(11) DEFAULT NULL,
  PRIMARY KEY (`Nom_cinema`,`No_salle`),
  FOREIGN KEY (`Nom_cinema`) REFERENCES `Cinema` (`Nom_cinema`)
);

INSERT INTO `Salle` (`Nom_cinema`, `No_salle`, `Climatise`, `Capacite`) VALUES
('Halles', 1, 'O', 75),
('Halles', 2, 'N', 60),
('Halles', 3, 'N', 60),
('Kino', 1, 'N', 280),
('Kino', 2, 'O', 120),
('Kino', 3, 'O', 130),
('Nations', 1, 'O', 130),
('Nations', 2, 'N', 90),
('Nations', 3, 'N', 60),
('Rex', 1, 'O', 150),
('Rex', 2, 'O', 100),
('Rex', 3, 'N', 80),
('Rex', 4, 'N', 80);

CREATE TABLE `Seance` (
  `Nom_cinema` varchar(10) NOT NULL,
  `No_salle` int(11) NOT NULL DEFAULT '0',
  `No_seance` int(11) NOT NULL DEFAULT '0',
  `Heure_debut` time DEFAULT '00:00:00',
  `Heure_fin` time DEFAULT '00:00:00',
  `ID_film` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Nom_cinema`,`No_salle`,`No_seance`),
  FOREIGN KEY (`Nom_cinema`) REFERENCES `Cinema` (`Nom_cinema`)
);

INSERT INTO `Seance` (`Nom_cinema`, `No_salle`, `No_seance`, `Heure_debut`, `Heure_fin`, `ID_film`) VALUES
('Halles', 1, 1, '15:00:00', '17:00:00', 32),
('Halles', 1, 2, '14:00:00', '16:00:00', 32),
('Halles', 1, 3, '20:00:00', '22:00:00', 32),
('Halles', 2, 1, '15:00:00', '00:00:00', 5),
('Halles', 2, 2, '19:00:00', '00:00:00', 5),
('Halles', 2, 3, '10:00:00', '12:00:00', 45),
('Halles', 3, 1, '18:00:00', '22:00:00', 3),
('Halles', 3, 2, '12:00:00', '14:00:00', 3),
('Halles', 3, 3, '13:00:00', '15:00:00', 3),
('Kino', 1, 1, '15:00:00', '17:00:00', 34),
('Kino', 1, 2, '11:00:00', '13:00:00', 73),
('Kino', 1, 3, '22:30:00', '00:30:00', 34),
('Kino', 2, 1, '20:00:00', '22:00:00', 43),
('Kino', 2, 2, '15:00:00', '17:00:00', 7),
('Kino', 2, 3, '13:00:00', '15:00:00', 43),
('Kino', 3, 1, '09:00:00', '11:00:00', 101),
('Kino', 3, 2, '11:00:00', '13:00:00', 102),
('Kino', 3, 3, '22:00:00', '01:00:00', 104),
('Kino', 3, 4, '18:00:00', '21:00:00', 104),
('Nations', 1, 1, '14:00:00', '16:00:00', 65),
('Nations', 1, 2, '22:00:00', '00:00:00', 65),
('Nations', 1, 3, '16:00:00', '18:00:00', 65),
('Nations', 2, 1, '10:00:00', '12:00:00', 43),
('Nations', 2, 2, '20:00:00', '22:00:00', 43),
('Nations', 2, 3, '20:00:00', '22:00:00', 43),
('Nations', 3, 1, '15:00:00', '17:00:00', 7),
('Nations', 3, 2, '15:00:00', '17:00:00', 7),
('Nations', 3, 3, '15:00:00', '17:00:00', 7),
('Rex', 1, 3, '14:00:00', '16:30:00', 1),
('Rex', 1, 4, '09:00:00', '10:30:00', 6),
('Rex', 2, 1, '09:00:00', '11:00:00', 34),
('Rex', 2, 2, '08:00:00', '10:00:00', 34),
('Rex', 2, 3, '15:00:00', '17:00:00', 7),
('Rex', 2, 4, '20:00:00', '22:00:00', 65),
('Rex', 3, 1, '14:00:00', '01:00:00', 11),
('Rex', 3, 2, '23:00:00', '01:00:00', 11),
('Rex', 3, 3, '16:00:00', '18:00:00', 11),
('Rex', 4, 1, '08:00:00', '10:00:00', 38),
('Rex', 4, 2, '23:00:00', '01:00:00', 38),
('Rex', 4, 3, '14:00:00', '16:00:00', 38);
